For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

Check Existence of Customer Email

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/users/validations/existence
GET
/api/v2/users/validations/existence
$curl -G https://api-b2b.bigcommerce.com/api/v2/users/validations/existence \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abc123 \
> -d email=email
200SUCCESS
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
This endpoint previously validated extra fields for a particular Company user by email address.
Was this page helpful?
Previous

Validate Frontend User Email

Next

List Users

Built with

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
emailstringRequired
The email of the customer to be validated.
extraFieldNamestringOptional
The name of the extra field.
extraFieldValuestringOptional
The value of the extra field.

Response

OK
codedoubleDefaults to 200
messagestring
dataobject